<template>
  <div class="forward-order">
    <firstMenu :list="list"
               :value="'value'"
               @selectMenu="selectMenu" />
  </div>
</template>

<script lang="ts">
import { defineComponent, computed, reactive, ref, toRefs, unref, onMounted, onUpdated, onUnmounted, provide, inject } from 'vue';
import { initData } from '@/common/methods';
import firstMenu from '@/common/components/firstMenu/index.vue';

function handleMenu() {
    const list = [
        { key: '1', value: 'one' },
        { key: '2', value: 'two' },
        { key: '3', value: 'three' },
    ];
    function selectMenu(item: any) {}
    return { list, selectMenu };
}

export default defineComponent({
    name: 'forward-order',
    components: {
        firstMenu,
    },
    setup() {
        initData(() => {
            // 加载数据在这里
        });
        const { list, selectMenu } = handleMenu();
        return {
            list,
            selectMenu,
        };
    },
});
</script>

<style lang="less">
.forward-order {
    height: 440px;
}
</style
>;
